org.apache.commons.math3.ode.nonstiff

## Class GillIntegrator

- java.lang.Object
- - org.apache.commons.math3.ode.AbstractIntegrator
  - - org.apache.commons.math3.ode.nonstiff.RungeKuttaIntegrator
    - - org.apache.commons.math3.ode.nonstiff.GillIntegrator

All Implemented Interfaces:
  FirstOrderIntegrator, ODEIntegrator

    public class GillIntegrator
    extends RungeKuttaIntegrator

This class implements the Gill fourth order Runge-Kutta integrator for Ordinary Differential Equations .

This method is an explicit Runge-Kutta method, its Butcher-array is the following one :

        0  |    0        0       0      0
       1/2 |   1/2       0       0      0
       1/2 | (q-1)/2  (2-q)/2    0      0
        1  |    0       -q/2  (2+q)/2   0
           |-------------------------------
           |   1/6    (2-q)/6 (2+q)/6  1/6

where q = sqrt(2)

Since:
  1.2
Version:
  $Id: GillIntegrator.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  `EulerIntegrator`, `ClassicalRungeKuttaIntegrator`, `MidpointIntegrator`, `ThreeEighthesIntegrator`

### Field Summary

Fields
`private static double[][]` `STATIC_A` Internal weights Butcher array.
`private static double[]` `STATIC_B` Propagation weights Butcher array.
`private static double[]` `STATIC_C` Time steps Butcher array.

### Fields inherited from class org.apache.commons.math3.ode.AbstractIntegrator

`isLastStep, resetOccurred, stepHandlers, stepSize, stepStart`

### Constructor Summary

Constructors
Constructor and Description
`GillIntegrator(double step)` Simple constructor.

### Method Summary

### Methods inherited from class org.apache.commons.math3.ode.nonstiff.RungeKuttaIntegrator

`integrate`

### Methods inherited from class org.apache.commons.math3.ode.AbstractIntegrator

`acceptStep, addEventHandler, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, computeDerivatives, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEventHandlers, getMaxEvaluations, getName, getStepHandlers, initIntegration, integrate, sanityChecks, setEquations, setMaxEvaluations, setStateInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATIC_C

    private static final double[] STATIC_C

Time steps Butcher array.

#### STATIC_A

    private static final double[][] STATIC_A

Internal weights Butcher array.

#### STATIC_B

    private static final double[] STATIC_B

Propagation weights Butcher array.

### Constructor Detail

#### GillIntegrator

    public GillIntegrator(double step)

Simple constructor. Build a fourth-order Gill integrator with the given step.

Parameters:
  `step` - integration step